version: '3.3'

services:
  # web server 
  web:
    image: nginx
    tty: true
    stdin_open: true
    ports:
      - 5173:5173
    volumes:
      - ./docker/web/config/default.conf:/etc/nginx/conf.d/default.conf
      - ./docker/web/log:/var/log/nginx
    depends_on:
      - frontend
      - swagger-api

  frontend:
    build:
      context: "./docker"
    tty: true
    volumes:
      - ./:/workspaces/
      - vol_node_modules:/workspaces/node_modules

  # mock api
  swagger-ui:
    image: swaggerapi/swagger-ui
    ports:
      - "8002:8080"
    volumes:
      - ./docker/api-mock/openapi.yaml:/openapi.yaml
    environment:
      SWAGGER_JSON: /openapi.yaml
  swagger-api:
    image: stoplight/prism:3
    command: mock -h 0.0.0.0 /openapi.yaml
    volumes:
      - ./docker/api-mock/openapi.yaml:/openapi.yaml

volumes:
  vol_node_modules:
    driver: local